After installing the latest version 9.2.057 of ZA Free, FireFox will not load and I get this error message:
XUL Runner ERror: Platform Version 1.9.2.4 is not compatible with miniVersion >= 1.9.2.6 maxiVersion >= 1.9.2.6

Could this be ZA?? At present it allows me to use IE which I am not liking, at all.